<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
// header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
date_default_timezone_set('Asia/Rangoon');
include_once '../../config/database.php';
include_once '../../objects/stock_balance.php';

$database = new Database();
$db = $database->getConnection();
 
$stock_balance = new StockBalance($db);
// $data = json_decode(file_get_contents("php://input"));
$stock_balance->stock_balance_date = date("Y-m-d");
$stock_balance->store = urldecode($_GET['store']);
$stmt = $stock_balance->getAllRows();
$num = $stmt->rowCount();

$arr=array();
$arr["data"]=array();
$i = 0;
if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $stock_balance=array(
			++$i,
			$item_code,
			$item_name,
			$category,
			$brand,
			// $type,
			$min_stock_level,
			(int)$quantity
        );
        array_push($arr["data"], $stock_balance);
    }
}
echo json_encode($arr);
?>